=== debian/changelog ===
fdb (5.11.105-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:14:26 +0000

fdb (5.11.105-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 03 Mar 2024 15:59:14 +0000
