## fdb 5.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -127,7 +127,6 @@
 
 ### finalize
 
-
 ecbuild_install_project( NAME fdb )
 
 ecbuild_print_summary()
