=== src/fdb5/CMakeLists.txt ===
--- 
+++ 
@@ -32,6 +32,8 @@
     api/SelectFDB.h
 
     api/helpers/APIIterator.h
+    api/helpers/AxesIterator.cc
+    api/helpers/AxesIterator.h
     api/helpers/ControlIterator.cc
     api/helpers/ControlIterator.h
     api/helpers/FDBToolRequest.cc
@@ -50,6 +52,8 @@
     api/local/QueryVisitor.h
     api/local/QueueStringLogTarget.h
     api/local/ListVisitor.h
+    api/local/AxesVisitor.cc
+    api/local/AxesVisitor.h
     api/local/ControlVisitor.cc
     api/local/ControlVisitor.h
     api/local/DumpVisitor.h
@@ -75,6 +79,8 @@
     database/BaseArchiveVisitor.h
     database/Catalogue.cc
     database/Catalogue.h
+    database/DB.cc
+    database/DB.h
     database/DataStats.cc
     database/DataStats.h
     database/DbStats.cc
@@ -117,9 +123,7 @@
     database/IndexFactory.h
     database/Key.cc
     database/Key.h
-    database/InspectionKey.cc
-    database/InspectionKey.h
-    # database/ReadVisitor.cc
+    database/ReadVisitor.cc
     database/ReadVisitor.h
     database/Report.cc
     database/Report.h
@@ -210,37 +214,17 @@
 
 if(HAVE_FDB_REMOTE)
     list( APPEND fdb5_srcs 
-        # api/ClientFDB.cc
-        # api/ClientFDB.h
         api/RemoteFDB.cc
         api/RemoteFDB.h
-        remote/RemoteStore.cc
-        remote/RemoteStore.h
-        remote/RemoteCatalogue.h
-        remote/RemoteCatalogue.cc
-        # remote/RemoteEngine.h
-        # remote/RemoteEngine.cc
-        remote/Connection.h
-        remote/Connection.cc
-
-        remote/client/Client.h
-        remote/client/Client.cc
-        remote/client/ClientConnection.h
-        remote/client/ClientConnection.cc
-        remote/client/ClientConnectionRouter.h
-        remote/client/ClientConnectionRouter.cc
-        remote/server/CatalogueHandler.h
-        remote/server/CatalogueHandler.cc
-        remote/server/StoreHandler.h
-        remote/server/StoreHandler.cc
-        remote/server/ServerConnection.h
-        remote/server/ServerConnection.cc
+
         remote/RemoteConfiguration.h
         remote/RemoteConfiguration.cc
         remote/RemoteFieldLocation.h
         remote/RemoteFieldLocation.cc
         remote/Messages.h
         remote/Messages.cc
+        remote/Handler.h
+        remote/Handler.cc
         remote/AvailablePortList.cc
         remote/AvailablePortList.h
         remote/FdbServer.h
@@ -428,6 +412,7 @@
 endif()
 
 list( APPEND fdb5_tools
+    fdb-axes
     fdb-write
     fdb-copy
     fdb-dump
@@ -474,3 +459,22 @@
                         CONDITION HAVE_FDB_BUILD_TOOLS
                         SOURCES   compat/grib2fdb5.cc
                         INCLUDES  ${ECCODES_INCLUDE_DIRS} # Please don't remove me, I am needed
+                        LIBS      fdb5 )
+
+ecbuild_add_executable(
+        CONDITION HAVE_FDB_BUILD_TOOLS AND HAVE_FDB_REMOTE AND eckit_HAVE_ECKIT_CMD
+        TARGET fdb-monitor
+        SOURCES remote/fdb-monitor.cc
+        LIBS eckit eckit_cmd )
+
+ecbuild_add_executable(
+        CONDITION HAVE_FDB_BUILD_TOOLS AND HAVE_FDB_REMOTE
+        TARGET fdb-server
+        SOURCES
+            remote/fdb-server.cc
+        LIBS fdb5 )
+
+if ( HAVE_FDB_BUILD_TOOLS )
+    target_sources( fdb-lock PRIVATE tools/FDBLock.cc tools/FDBLock.h )
+    target_sources( fdb-unlock PRIVATE tools/FDBLock.cc tools/FDBLock.h )
+endif()
