=== tests/fdb/CMakeLists.txt ===
--- 
+++ 
@@ -72,5 +72,6 @@
 
 add_subdirectory( pmem )
 add_subdirectory( api )
+add_subdirectory( database )
 add_subdirectory( tools )
 add_subdirectory( type )
