=== debian/changelog ===
fdb (5.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 15 Apr 2024 09:05:55 +0100

fdb (5.12.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 08 Apr 2024 11:13:00 +0100

fdb (5.11.113-1) unsrable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Apr 2024 08:44:56 +0100

fdb (5.11.112-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 28 Mar 2024 06:57:40 +0000

fdb (5.11.111-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 16 Mar 2024 09:39:29 +0000

fdb (5.11.110-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Mar 2024 16:06:09 +0000

fdb (5.11.108-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Mar 2024 13:17:54 +0000

fdb (5.11.107-1) unstable; urgency=medium

  * New upstream release
  
 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 12 Mar 2024 07:02:27 +0000
