=== src/fdb5/CMakeLists.txt ===
--- 
+++ 
@@ -48,6 +48,7 @@
     api/helpers/PurgeIterator.h
     api/helpers/StatsIterator.cc
     api/helpers/StatsIterator.h
+    api/helpers/Callback.h
 
     api/local/QueryVisitor.h
     api/local/QueueStringLogTarget.h
@@ -81,6 +82,8 @@
     database/Catalogue.h
     database/DB.cc
     database/DB.h
+    database/DatabaseNotFoundException.cc
+    database/DatabaseNotFoundException.h
     database/DataStats.cc
     database/DataStats.h
     database/DbStats.cc
@@ -368,6 +371,60 @@
     )
 endif()
 
+if( HAVE_DAOSFDB )
+    list( APPEND fdb5_srcs
+        daos/DaosOID.cc
+        daos/DaosOID.h
+        daos/DaosName.cc
+        daos/DaosName.h
+        daos/DaosObject.cc
+        daos/DaosObject.h
+        daos/DaosContainer.cc
+        daos/DaosContainer.h
+        daos/DaosPool.cc
+        daos/DaosPool.h
+        daos/DaosSession.cc
+        daos/DaosSession.h
+        daos/DaosArrayHandle.cc
+        daos/DaosArrayHandle.h
+        daos/DaosKeyValueHandle.cc
+        daos/DaosKeyValueHandle.h
+        daos/DaosStore.h 
+        daos/DaosStore.cc 
+        daos/DaosFieldLocation.h 
+        daos/DaosFieldLocation.cc
+        daos/DaosException.h
+        daos/DaosException.cc
+        daos/DaosEngine.h
+        daos/DaosEngine.cc 
+        daos/DaosCatalogue.h 
+        daos/DaosCatalogue.cc 
+        daos/DaosCatalogueWriter.h 
+        daos/DaosCatalogueWriter.cc
+        daos/DaosCatalogueReader.h 
+        daos/DaosCatalogueReader.cc
+        daos/DaosIndex.h
+        daos/DaosIndex.cc
+        daos/DaosIndexLocation.h
+        daos/DaosIndexLocation.cc
+        daos/DaosCommon.h
+        daos/DaosCommon.cc
+        daos/DaosWipeVisitor.h 
+        daos/DaosWipeVisitor.cc
+        daos/DaosArrayPartHandle.h 
+        daos/DaosArrayPartHandle.cc
+        daos/DaosLazyFieldLocation.h 
+        daos/DaosLazyFieldLocation.cc
+        daos/UUID.h
+        daos/UUID.cc
+    )
+else()
+    set( DAOS_LIBRARIES "" )
+    set( DAOS_INCLUDE_DIRS "" )
+    set( UUID_LIBRARIES "" )
+    set( UUID_INCLUDE_DIRS "" )
+endif()
+
 ecbuild_add_library(
 
     TARGET  fdb5
@@ -390,15 +447,20 @@
         metkit
         eckit
         eckit_option
+        "${UUID_LIBRARIES}"
 
     PRIVATE_INCLUDES
         "${PMEM_INCLUDE_DIRS}"
         "${LUSTREAPI_INCLUDE_DIRS}"
+        "${DAOS_INCLUDE_DIRS}"
+        "${DAOS_TESTS_INCLUDE_DIRS}"
 
     PRIVATE_LIBS
         ${grib_handling_pkg}
         ${PMEM_LIBRARIES}
         ${LUSTREAPI_LIBRARIES}
+        "${DAOS_LIBRARIES}"
+        "${DAOS_TESTS_LIBRARIES}"
 )
 
 if(HAVE_FDB_BUILD_TOOLS)
@@ -407,74 +469,3 @@
 
   foreach( _script ${fdb5_scripts} )
     configure_file(scripts/${_script}.in ${CMAKE_BINARY_DIR}/bin/${_script} @ONLY)
-    install(PROGRAMS ${CMAKE_BINARY_DIR}/bin/${_script} DESTINATION ${INSTALL_BIN_DIR} )
-  endforeach()
-endif()
-
-list( APPEND fdb5_tools
-    fdb-axes
-    fdb-write
-    fdb-copy
-    fdb-dump
-    fdb-list
-    fdb-read
-    fdb-schema
-    fdb-where
-    fdb-info
-    fdb-status
-    fdb-lock
-    fdb-unlock
-)
-
-if ( HAVE_GRIB )
-    list( APPEND fdb5_tools
-        fdb-hammer
-        fdb-patch
-    )
-endif()
-
-if ( HAVE_TOCFDB )
-    list(APPEND fdb5_tools
-        fdb-root
-        fdb-overlay
-        fdb-hide
-    )
-endif()
-
-foreach( _tool ${fdb5_tools} )
-
-  ecbuild_add_executable( TARGET    ${_tool}
-                          CONDITION HAVE_FDB_BUILD_TOOLS
-                          SOURCES   tools/${_tool}.cc
-                          INCLUDES  ${ECCODES_INCLUDE_DIRS}  # Please don't remove me, I am needed
-                          LIBS      fdb5 )
-
-endforeach()
-
-if (HAVE_FDB_BUILD_TOOLS)
-    target_link_libraries( fdb-move eckit_distributed )
-endif()
-
-ecbuild_add_executable( TARGET    grib2fdb5
-                        CONDITION HAVE_FDB_BUILD_TOOLS
-                        SOURCES   compat/grib2fdb5.cc
-                        INCLUDES  ${ECCODES_INCLUDE_DIRS} # Please don't remove me, I am needed
-                        LIBS      fdb5 )
-
-ecbuild_add_executable(
-        CONDITION HAVE_FDB_BUILD_TOOLS AND HAVE_FDB_REMOTE AND eckit_HAVE_ECKIT_CMD
-        TARGET fdb-monitor
-        SOURCES remote/fdb-monitor.cc
-        LIBS eckit eckit_cmd )
-
-ecbuild_add_executable(
-        CONDITION HAVE_FDB_BUILD_TOOLS AND HAVE_FDB_REMOTE
-        TARGET fdb-server
-        SOURCES
-            remote/fdb-server.cc
-        LIBS fdb5 )
-
-if ( HAVE_FDB_BUILD_TOOLS )
-    target_sources( fdb-lock PRIVATE tools/FDBLock.cc tools/FDBLock.h )
-    target_sources( fdb-unlock PRIVATE tools/FDBLock.cc tools/FDBLock.h )
-endif()
