=== tests/fdb/CMakeLists.txt ===
--- 
+++ 
@@ -75,3 +75,4 @@
 add_subdirectory( database )
 add_subdirectory( tools )
 add_subdirectory( type )
+add_subdirectory( daos )
