=== tests/fdb/tools/CMakeLists.txt ===
--- 
+++ 
@@ -12,3 +12,5 @@
         COMMAND ${_t}.sh)
 
 endforeach()
+
+add_subdirectory( auxiliary )
