=== tests/fdb/tools/auxiliary/CMakeLists.txt ===
if (HAVE_FDB_BUILD_TOOLS)
    ecbuild_configure_file( move_auxiliary.sh.in fdb_move_auxiliary.sh @ONLY )

    ecbuild_add_test(
        TYPE SCRIPT
        CONDITION HAVE_FDB_BUILD_TOOLS
        COMMAND fdb_move_auxiliary.sh)
endif()
