=== debian/changelog ===
fdb (5.13.0-1) unstable; urgency=medium

  * New upstream release
  * Set Debian Science Maint. as maintainer
  * Fix broken vcs url
  * Standards-Version: 4.7.0; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 13 Aug 2024 06:07:56 +0100
