=== src/fdb5/CMakeLists.txt ===
--- 
+++ 
@@ -80,8 +80,6 @@
     database/BaseArchiveVisitor.h
     database/Catalogue.cc
     database/Catalogue.h
-    database/DB.cc
-    database/DB.h
     database/DatabaseNotFoundException.cc
     database/DatabaseNotFoundException.h
     database/DataStats.cc
@@ -126,7 +124,6 @@
     database/IndexFactory.h
     database/Key.cc
     database/Key.h
-    database/ReadVisitor.cc
     database/ReadVisitor.h
     database/Report.cc
     database/Report.h
@@ -153,6 +150,8 @@
     io/LustreFileHandle.h
     io/HandleGatherer.cc
     io/HandleGatherer.h
+    io/FieldHandle.cc
+    io/FieldHandle.h
     rules/MatchAlways.cc
     rules/MatchAlways.h
     rules/MatchAny.cc
@@ -220,18 +219,37 @@
         api/RemoteFDB.cc
         api/RemoteFDB.h
 
-        remote/RemoteConfiguration.h
-        remote/RemoteConfiguration.cc
+        remote/Connection.h
+        remote/Connection.cc
         remote/RemoteFieldLocation.h
         remote/RemoteFieldLocation.cc
         remote/Messages.h
         remote/Messages.cc
-        remote/Handler.h
-        remote/Handler.cc
-        remote/AvailablePortList.cc
-        remote/AvailablePortList.h
         remote/FdbServer.h
         remote/FdbServer.cc
+
+        remote/client/Client.h
+        remote/client/Client.cc
+        remote/client/ClientConnection.h
+        remote/client/ClientConnection.cc
+        remote/client/ClientConnectionRouter.h
+        remote/client/ClientConnectionRouter.cc
+        remote/client/RemoteStore.cc
+        remote/client/RemoteStore.h
+        remote/client/RemoteCatalogue.h
+        remote/client/RemoteCatalogue.cc
+
+        remote/server/AvailablePortList.cc
+        remote/server/AvailablePortList.h
+        remote/server/CatalogueHandler.h
+        remote/server/CatalogueHandler.cc
+        remote/server/StoreHandler.h
+        remote/server/StoreHandler.cc
+        remote/server/ServerConnection.h
+        remote/server/ServerConnection.cc
+
+        # remote/RemoteConfiguration.h
+        # remote/RemoteConfiguration.cc
     )
 endif()
 
@@ -445,27 +463,3 @@
 
     PUBLIC_LIBS
         metkit
-        eckit
-        eckit_option
-        "${UUID_LIBRARIES}"
-
-    PRIVATE_INCLUDES
-        "${PMEM_INCLUDE_DIRS}"
-        "${LUSTREAPI_INCLUDE_DIRS}"
-        "${DAOS_INCLUDE_DIRS}"
-        "${DAOS_TESTS_INCLUDE_DIRS}"
-
-    PRIVATE_LIBS
-        ${grib_handling_pkg}
-        ${PMEM_LIBRARIES}
-        ${LUSTREAPI_LIBRARIES}
-        "${DAOS_LIBRARIES}"
-        "${DAOS_TESTS_LIBRARIES}"
-)
-
-if(HAVE_FDB_BUILD_TOOLS)
-
-  list( APPEND fdb5_scripts fdb fdb-which )
-
-  foreach( _script ${fdb5_scripts} )
-    configure_file(scripts/${_script}.in ${CMAKE_BINARY_DIR}/bin/${_script} @ONLY)
