=== tests/regressions/CMakeLists.txt ===
--- 
+++ 
@@ -19,6 +19,7 @@
         add_subdirectory(FDB-282)
         add_subdirectory(FDB-291)
         add_subdirectory(FDB-292)
+        add_subdirectory(FDB-303)
         add_subdirectory(FDB-307)
         add_subdirectory(FDB-310)
     endif()
