=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: fdb
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (=13),
  architecture-is-64-bit,
  ecbuild (>= 3.3.0-3),
@@ -15,10 +15,10 @@
  libpmem-dev [amd64 arm64 ppc64el riscv64],
  librados-dev [!sparc64 !ppc64 !alpha !loong64],
  libeccodes-tools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/ecmwf/fdb
-Vcs-Browser: https://salsa.debian.org:/science-team/fdb.git
-Vcs-Git: https://salsa.debian.org:/science-team/fdb.git -b debian/latest
+Vcs-Browser: https://salsa.debian.org/science-team/fdb.git
+Vcs-Git: https://salsa.debian.org/science-team/fdb.git -b debian/latest
 
 Package: libfdb5-0d
 Section: libs
